Bug 176137 - Review Request: perl-Log-Log4perl - Log4j implementation for Perl
Review Request: perl-Log-Log4perl - Log4j implementation for Perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Log-Log4p...
:
Depends On: 175899
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-19 13:07 EST by Jose Pedro Oliveira
Modified: 2010-11-05 13:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-09 11:52:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-12-19 13:07:56 EST
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Log-Log4perl.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Log-Log4perl-1.02-1.src.rpm

Description:
Log::Log4perl lets you remote-control and fine-tune the logging
behaviour of your system from the outside. It implements the widely
popular (Java-based) Log4j logging package in pure Perl.
Comment 1 Jose Pedro Oliveira 2006-02-08 15:17:27 EST
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Log-Log4perl-1.03-1.src.rpm

Changelog
* Update to version 1.03
* Using the sourceforge URIs
  (version 1.03 still hasn't been uploaded into CPAN; it has been released
   at least three days ago in sourceforge)
* Disabled the Log::Dispatch::FileRotate requirement and build requirement
  (disabled the #171640 dependency) 
Comment 2 Paul Howarth 2006-02-09 07:43:35 EST
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, text included
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC4 (i386) and in mock for rawhide (i386)
- BR's OK
- no locales, libraries, pkgconfigs, or subpackages to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- no scriptlets
- patches look sane

Suggestions:

- perhaps a comment in the spec file about the issue with
Log::Dispatch::FileRotate, and a reference to this bugzilla ticket?
- perhaps the rrdtool buildreq could be replaced by perl(RRDs)?

Approved.
Comment 3 Jose Pedro Oliveira 2006-02-09 11:52:03 EST
(In reply to comment #2)
> Suggestions:
> 
> - perhaps a comment in the spec file about the issue with
> Log::Dispatch::FileRotate, and a reference to this bugzilla ticket?

Done.

> - perhaps the rrdtool buildreq could be replaced by perl(RRDs)?

Done. Also added a comment about perl(RRDs) being provided by the rrdtool
package (a package outside the perl- namespace).
 
> Approved.

Thanks.

PS - Also added a comment with the CPAN URL (Log-Log4perl 1.03 appeared
today in CPAN).
PS2 - Package already built for devel. CVS FC-4 branch pending.
Comment 4 Steven Pritchard 2008-12-16 15:24:22 EST
Package Change Request
======================
Package Name: perl-Log-Log4perl
New Branches: EL-4 EL-5
Owners: steve
Comment 5 Kevin Fenzi 2008-12-17 19:34:45 EST
cvs done.
Comment 6 Marcela Mašláňová 2010-11-05 04:44:55 EDT
Package Change Request
======================
Package Name: perl-Log-Log4perl
New Branches: EL-6
Owners: mmaslano
Comment 7 Jason Tibbitts 2010-11-05 13:03:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.